summarylogtreecommitdiffstats
path: root/notion-app.install
diff options
context:
space:
mode:
Diffstat (limited to 'notion-app.install')
-rw-r--r--notion-app.install13
1 files changed, 13 insertions, 0 deletions
diff --git a/notion-app.install b/notion-app.install
new file mode 100644
index 000000000000..426aaf50fd39
--- /dev/null
+++ b/notion-app.install
@@ -0,0 +1,13 @@
+post_install() {
+ ln -sf '/opt/Notion/notion-app' '/usr/bin/notion-app'
+
+ # SUID chrome-sandbox for Electron 5+
+ chmod 4755 '/opt/Notion/chrome-sandbox' || true
+
+ update-mime-database /usr/share/mime || true
+ update-desktop-database /usr/share/applications || true
+}
+
+post_remove() {
+ rm -f '/usr/bin/notion-app'
+}